| LUFA Library 140302 |

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_ClassInfo_Audio_Device_t Struct Reference
Audio 1.0 Class Device Mode Driver

Audio Class Device Mode Configuration and State Structure. More...

`#include <AudioClassDevice.h>`

## Data Fields
struct {
uint8_t ControlInterfaceNumber
USB_Endpoint_Table_t DataINEndpoint
USB_Endpoint_Table_t DataOUTEndpoint
uint8_t StreamingInterfaceNumber
} | Config
struct {
bool InterfaceEnabled
} | State

## Detailed Description

Class state structure. An instance of this structure should be made for each Audio interface within the user application, and passed to each of the Audio class driver functions as the `AudioInterfaceInfo` parameter. This stores each Audio interface's configuration and state information.

## Field Documentation

struct { ... } USB_ClassInfo_Audio_Device_t::Config

Config data for the USB class interface within the device. All elements in this section must be set or the interface will fail to enumerate and operate correctly.

uint8_t USB_ClassInfo_Audio_Device_t::ControlInterfaceNumber

Index of the Audio Control interface within the device this structure controls.

USB_Endpoint_Table_t USB_ClassInfo_Audio_Device_t::DataINEndpoint

Data IN endpoint configuration table.

USB_Endpoint_Table_t USB_ClassInfo_Audio_Device_t::DataOUTEndpoint

Data OUT endpoint configuration table.

bool USB_ClassInfo_Audio_Device_t::InterfaceEnabled

Set and cleared by the class driver to indicate if the host has enabled the streaming endpoints of the Audio Streaming interface.

struct { ... } USB_ClassInfo_Audio_Device_t::State

State data for the USB class interface within the device. All elements in this section are reset to their defaults when the interface is enumerated.

uint8_t USB_ClassInfo_Audio_Device_t::StreamingInterfaceNumber

Index of the Audio Streaming interface within the device this structure controls.

The documentation for this struct was generated from the following file:

- Drivers/USB/Class/Device/AudioClassDevice.h